%def_enable shared
%def_disable static

%define Name LZMA
%define bname lzma
Name: %{bname}lib
%define lname lib%bname
Version: 0.0.1
Release: alt1
Summary: A thin wrapper library of %Name SDK
License: %gpl2only
Group: System/Libraries
URL: http://tokyocabinet.sourceforge.net/misc
Source: %url/%name-%version.tar

# Automatically added by buildreq on Mon Jul 28 2008
BuildRequires: gcc-c++

BuildRequires: rpm-build-licenses

%description
This package includes a thin wrapper library of %Name SDK written by
Igor Pavlov.


%package devel
Summary: Headers for %name
Group: Development/C
Requires: %name%{?_disable_shared:-devel-static} = %version-%release

%description devel
This package contains headers for %name.


%if_enabled static
%package devel-static
Summary: Static %name
Group: Development/C
Requires: %name-devel = %version-%release
Conflicts: %lname-devel

%description devel-static
This package includes a static wrapper library of %Name SDK written by
Igor Pavlov.
%endif


%prep
%setup


%build
%define _optlevel 3
%add_optflags %optflags_shared -fsigned-char
%configure
%make_build %{?_enable_shared:%lname.so} %{?_enable_static:%lname.a}


%install
install -d -m 0755 %buildroot{%_libdir,%_includedir}
install -m 0644 %name.h %buildroot%_includedir/
%{?_enable_shared:install -m 0644 %lname.so* %buildroot%_libdir/}
%{?_enable_static:install -m 0644 %lname.a %buildroot%_libdir/}


%if_enabled shared
%post -p %post_ldconfig
%postun -p %post_ldconfig
%endif


%if_enabled shared
%files
%_libdir/*.so.*
%endif


%files devel
%_includedir/*
%{?_enable_shared:%_libdir/*.so}


%if_enabled static
%_libdir/*.a
%endif


%changelog
* Mon Jul 28 2008 Led <led@altlinux.ru> 0.0.1-alt1
- initial build
